package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Testdd;
import com.realnet.basicp1.Services.TestddService ;










@RequestMapping(value = "/Testdd")
 @CrossOrigin("*") 
@RestController
public class TestddController {
	@Autowired
	private TestddService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Testdd")
		  public Testdd Savedata(@RequestBody Testdd data) {
		Testdd save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testdd/{id}")
	public  Testdd update(@RequestBody Testdd data,@PathVariable Integer id ) {
		Testdd update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testdd/getall/page")
	public Page<Testdd> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testdd> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testdd")
	public List<Testdd> getdetails() {
		 List<Testdd> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testdd")
	public List<Testdd> getallwioutsec() {
		 List<Testdd> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testdd/{id}")
	public  Testdd  getdetailsbyId(@PathVariable Integer id ) {
		Testdd  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testdd/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}